#
#
# $Id: iwebadmin.spec.in,v 1.46 2021-02-15 09:27:34+05:30 Cprogrammer Exp mbhangui $
%undefine _missing_build_ids_terminate_build
%define _unpackaged_files_terminate_build 1

%if %{defined _project}
# define if building on openSUSE build service
%define build_on_obs       1
%global build_cflags       "-DOBS_BUILD %{build_cflags}"
%else
%define _project           local
%define build_on_obs       0
%global _hardened_build    1
%endif
%if 0%{?suse_version}
%global noperms            1
%else
%global noperms            0
%endif

%if %{defined nodebug}
%global debug_package %{nil}
%endif

%define _prefix            /usr
%global mandir             /usr/share/man
%define sysconfdir         /etc/indimail
%define see_base           For a description of IndiMail visit http://www.indimail.org

Summary: Web Administration GUI for IndiMail User Administration
Name: iwebadmin
Version: 2.1
Release: 1.1%{?dist}

%if %build_on_obs == 1
License: GPL-3.0+
%else
License: GPLv3
%endif
Group: System Environment/Base
Source0: http://downloads.sourceforge.net/indimail/%{name}-%{version}.tar.gz
Source1: http://downloads.sourceforge.net/indimail/%{name}-rpmlintrc
%if %noperms == 0
%if 0%{?suse_version} >= 1120
Source2: http://downloads.sourceforge.net/indimail/%{name}-permissions.easy
Source3: http://downloads.sourceforge.net/indimail/%{name}-permissions.secure
Source4: http://downloads.sourceforge.net/indimail/%{name}-permissions.paranoid
%endif
%endif

URL: http://www.indimail.org
AutoReq: Yes
BuildRequires: rpm gcc make coreutils grep
BuildRequires: glibc glibc-devel procps cpio
BuildRequires: sed gettext-devel
BuildRequires: findutils libqmail-devel libqmail
BuildRequires: gzip autoconf automake libtool indimail-devel
BuildRequires: mysql-devel
%if %noperms == 0
%if 0%{?suse_version} >= 1120
PreReq: permissions
%endif
%endif

################################# OBS ###############################
%if 0%{?suse_version}
BuildRequires: -post-build-checks  
#!BuildIgnore: post-build-checks  
%endif
################################# OBS ###############################

Requires: coreutils grep /bin/sh glibc /usr/sbin/useradd /usr/sbin/groupadd
Requires: procps /usr/bin/awk indimail > 1.6
Requires: ezmlm-idx > 7.2
%if %build_on_obs == 1
BuildRoot: %{_tmppath}/%{name}-%{version}-build
%endif
Excludeos: windows 

%description
iwebadmin provides a Web front-end for administering IndiMail Users

%{see_base}

%prep
%setup -q

%build
(
echo "---------------- INFORMATION ------------------------"
echo target         %_target
echo target_alias   %_target_alias
echo target_cpu     %_target_cpu
echo target_os      %_target_os
echo target_vendor  %_target_vendor
echo Project        %{_project}
echo HTML Dir       /var/www/html
echo CGI Bin Dir    /var/www/cgi-bin
echo Image Dir      /var/www/html/images/iwebadmin
echo HTML libdir    /usr/share/iwebadmin
echo Build          %{name}-%{version}-%{release} Build %{_build} OS %{_os}
echo "------------------------------------------------------"
) > %{name}-rpm.info

(
echo "NAME=%{name}"
echo "Description=\"IndiMail iwebadmin Package\""
echo "IWEBADMIN_version="%{version}""
echo "ID=%{name}"
echo "HOME_URL=\"https://github.com/mbhangui/indimail-virtualdomains\""
echo "PACKAGE_BUGREPORT=\"Manvendra Bhangui iwebadmin@indimail.org\""
) > %{name}-release

%configure --prefix=%{_prefix} \
  --sysconfdir=%{sysconfdir} \
  --libdir=%{_libdir} \
  --disable-ipauth \
  --disable-trivial-password \
  --enable-ezmlmdir=%{_prefix}/bin \
  --enable-domain-autofill \
  --enable-modify-quota \
  --enable-htmldir=/var/www/html \
  --enable-cgibindir=/var/www/cgi-bin \
  --enable-imagedir=/var/www/html/images/iwebadmin \
  --enable-htmllibdir=/usr/share/iwebadmin

%install
[ "$RPM_BUILD_ROOT" != "/" ] && /bin/rm -fr $RPM_BUILD_ROOT
%{__make} -s %{?_smp_mflags}
%if %{defined nodebug}
%{__make} -s %{?_smp_mflags} DESTDIR=%{buildroot} install-strip
%else
%{__make} -s %{?_smp_mflags} DESTDIR=%{buildroot} install
%endif

%if %noperms == 0
%if 0%{?suse_version} >= 1120
%{__mkdir_p} %{buildroot}%{_sysconfdir}/permissions.d/
install -m 644 %{S:2} %{buildroot}%{_sysconfdir}/permissions.d/%{name}-permissions
install -m 644 %{S:3} %{buildroot}%{_sysconfdir}/permissions.d/%{name}-permissions.secure
%endif
%endif
%{__mkdir_p} %{buildroot}%{sysconfdir}
install -m 0644 %{name}-rpm.info %{buildroot}%{sysconfdir}/%{name}-rpm.info
install -m 0644 %{name}-release  %{buildroot}%{sysconfdir}/%{name}-release

%if %{undefined nodebug}
  /bin/chmod -R 755 %{buildroot}/var/www/cgi-bin
%endif
find %{buildroot}%{mandir} -type f -exec gzip -q {} \;

%files
%defattr(-,root,root,-)
%if "%{_prefix}" != "/usr"
%dir %attr(555,root,qmail)               %{_prefix}
%endif

%attr(644,root,root) %config(noreplace)  %{sysconfdir}/%{name}-release
%attr(644,root,root) %config(noreplace)  %{sysconfdir}/%{name}-rpm.info
%attr(644,root,root) %config(noreplace)  %{sysconfdir}/%{name}-conf
%attr(644,root,root) %config(noreplace)  %{sysconfdir}/%{name}-hooks

%if %noperms == 0
%if 0%{?suse_version} >= 1120
%attr(644,root,root)                     %{_sysconfdir}/permissions.d/%{name}-permissions
%attr(644,root,root)                     %{_sysconfdir}/permissions.d/%{name}-permissions.secure
%endif
%endif

%attr(644,root,root)                     %{mandir}/man1/*
%dir %attr(755,root,qmail)               /usr/share/iwebadmin
%dir %attr(755,root,qmail)               /usr/share/iwebadmin/html
%dir %attr(755,root,qmail)               /usr/share/iwebadmin/lang

# binary
%attr(6555,root,indimail)                /var/www/cgi-bin/iwebadmin

#html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_autorespond.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_forward.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_listdig.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_listmod.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_listuser.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_mailinglist-idx.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_mailinglist-no-idx.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_user.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/change_password.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/change_password_success.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/colortable
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_autorespond_confirm.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_forward_confirm.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_listdig.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_listmod.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_listuser.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_mailinglist_confirm.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_user_confirm.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/footer.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/header.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/main_menu.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/mod_autorespond.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/mod_dotqmail.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/mod_mailinglist-idx.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/mod_user.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/setremotecatchall.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_autorespond.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_digest_subscribers.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_forwards.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_login.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_mailinglist.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_moderators.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_subscribers.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_users.html

#language files
%attr(444,root,root)                     /usr/share/iwebadmin/lang/bg
%attr(444,root,root)                     /usr/share/iwebadmin/lang/cs
%attr(444,root,root)                     /usr/share/iwebadmin/lang/da
%attr(444,root,root)                     /usr/share/iwebadmin/lang/de
%attr(444,root,root)                     /usr/share/iwebadmin/lang/en
%attr(444,root,root)                     /usr/share/iwebadmin/lang/es
%attr(444,root,root)                     /usr/share/iwebadmin/lang/fi
%attr(444,root,root)                     /usr/share/iwebadmin/lang/fr
%attr(444,root,root)                     /usr/share/iwebadmin/lang/hu
%attr(444,root,root)                     /usr/share/iwebadmin/lang/it
%attr(444,root,root)                     /usr/share/iwebadmin/lang/ja
%attr(444,root,root)                     /usr/share/iwebadmin/lang/lt
%attr(444,root,root)                     /usr/share/iwebadmin/lang/nl
%attr(444,root,root)                     /usr/share/iwebadmin/lang/no
%attr(444,root,root)                     /usr/share/iwebadmin/lang/pl
%attr(444,root,root)                     /usr/share/iwebadmin/lang/pt-br
%attr(444,root,root)                     /usr/share/iwebadmin/lang/ru
%attr(444,root,root)                     /usr/share/iwebadmin/lang/sk
%attr(444,root,root)                     /usr/share/iwebadmin/lang/sv
%attr(444,root,root)                     /usr/share/iwebadmin/lang/tr
%attr(444,root,root)                     /usr/share/iwebadmin/lang/zh-cn

#images
%attr(444,root,root)                     /var/www/html/images/iwebadmin/delete.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/disabled.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/lowerleft.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/lowermiddle.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/lowerright.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/main.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/middleleft1.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/middleleft2.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/middlelogin.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/middleright1.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/modify.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/pixel.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/radio-off.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/radio-on.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/trash.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/upperleft.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/uppermiddle1.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/uppermiddle2.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/upperright.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/iwebadmin-icon.png
%attr(644,root,root)                     /usr/share/doc/iwebadmin/README.md
%attr(644,root,root)                     /usr/share/doc/iwebadmin/AUTHORS
%attr(644,root,root)                     /usr/share/doc/iwebadmin/COPYING
%attr(644,root,root)                     /usr/share/doc/iwebadmin/README-hooks.md


%clean
%{__rm} -rf %{buildroot}

# fix changelog for openSUSE buildservice
%changelog
* Mon Feb 15 2021 09:28:39 +0530 iwebdmin@indimail.org 2.1-1.1%{?dist}
Release 2.0 Start 27/04/2019
01. Replaced all functions with djb functions
02. Link with indimail-3.0
- 15/07/2019
03. removed unused arguments to show_menu(), show_users(), show_mailing_lists()
04. renamed deluser() to ideluser() to avoid clash with indimail deluser()
    function
05. BUG - iwebadmin.c initialize SearchUser variable
06. BUG - user.c - Fixed allocation of StatusMessage
07. printh.c - fixes to snprintf() size parameter to have space for last null
    byte
- 12/06/2020
08. moved iwebadmin to unversioned directory iwebadmin-x
09. created create_rpm, create_debian scripts
- 12/10/2020
10. removed lsb_release
- 13/10/2020
11. added debuginfo package
- 28/10/2020
12. fixed mailinglist option screen. segfault due to missing code after
    porting to libqmail
- 29/10/2020
13. iwebadmin.c: check at runtime ezmlm-make, ezmlm-idx and set ezmlm_make,
    ezmlm_idx variables to show the correct screens
14. mailinglist.c: fixed listing of .qmail files for mailinglist
- 30/10/2020
15. maillinglist.c: fixed show subscriber list
16. maillinglist.c: fixed delete subscriber list
17. iwebadmin.c, template.c: fixed "Log Out" getting clobbered by session
    timeout
18. mailinglist.c: save sql file for ezmlm-idx when "Enable MySQL support for
    ezmlm-idx" is selected
19. iwebadmin.spec: set read permissions for iwebadmin to fix mod_mime_magic
    error in httpd logs
20. iwebadmin.c: fixed password change
21. mailinglist.c: delete subdb when MySQL support for ezmlm-idx is turned off
- 31/10/2020
22. iwebadmin.c: added /etc/indimail/conf-iwebadmin to set variables
23. template.c: Fixed SIGSEGV
24. mailinglist.c: Fixed digest options
25. updated image assets
26. mailinglist.c: use another variable to avoid changing loop counter
27. iwebadmin: added debug statements
28. templte.c: display fortune cookies in footer if fortune program is
    installed
29. user.c: use /etc/indimail/iwebadmin-hooks instead of
30. mailinglist.c: added hooks addmaillist, delmaillist
31. template.c: fixed SIGSEGV
32. user.c: fixed iwebadmin-hooks
33. Makefile.am: added iwebadmin-hooks config file
34. added iwebadmin man page
